Download the Pelco API installer for Digital Sentry recorders

Issue

Using 3rd party integration which requires the Pelco API to be installed on a Digital Sentry video recorder.

Product Line

Pelco Video Management

Environment

  • Digital Sentry version 7.5 and above
  • DSSRV version 7.5 and above
  • DS NVs version 7.5 and above
  • Lenel
  • Software House

Cause

The Digital Sentry installers and recovery images do not include the Pelco API by default.

Resolution

 www.pelco.com

  1. Click the following link to open the Digital Sentry product page and load the downloads section sorted by software: https://www.pelco.com/video-management-solutions/digital-sentry-flexible-video-management#Asset%20Type!Software!11009/tab/documents
  2. Scroll through the list to locate the most up to date DS Pelco API Bundle Installer available.

 

Note: The Pelco API version must match the installed Digital Sentry version and is installed on the DigitalSentry system.
When integrating with DS products, it is important that all products involved in the integration (DS, Cameras, and any higher-level systems) are time-synchronized to prevent problems when recording, playback, and time-stamping video.